Skip to main content
PATCH
/
api
/
v1
/
webhooks
/
{id}
Update webhook
curl --request PATCH \
  --url https://api.kynva.ai/api/v1/webhooks/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "events": [],
  "name": "<string>",
  "isActive": true
}
'
import requests

url = "https://api.kynva.ai/api/v1/webhooks/{id}"

payload = {
"url": "<string>",
"events": [],
"name": "<string>",
"isActive": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', events: [], name: '<string>', isActive: true})
};

fetch('https://api.kynva.ai/api/v1/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "id": "<string>",
    "url": "<string>",
    "events": [
      "<string>"
    ],
    "name": "<string>",
    "isActive": true,
    "updatedAt": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Your Kynva API key (kyn_live_xxx or kyn_test_xxx; legacy rf_ keys remain valid)

Path Parameters

id
string
required

Body

application/json
url
string<uri>
events
enum<string>[]
Minimum array length: 1
Available options:
render.completed,
render.failed,
carousel.completed,
carousel.failed,
brief.received,
batch.completed
name
string
Maximum string length: 100
isActive
boolean

Response

200 - application/json

Webhook updated

Webhook updated

success
boolean
data
object